Package org.eclipse.m2m.atl.engine.extractors

# Interface Extractor

All Known Implementing Classes:
  `TCSExtractor`, `XMLExtractor`

public interface Extractor

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(ASMModel source, OutputStream target, Map params)`
Performs the extraction.
`void`
`extract(ASMModel format, ASMModel extent, OutputStream out)`
Deprecated.
The other extract method should be used instead.
`Map`
`getParameterTypes()`
returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value.
`String`
`getPrefix()`
Deprecated.
This information should be in a megamodel.

## Method Details

### getParameterTypes

Map getParameterTypes()
returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

### extract

void extract(ASMModel source, OutputStream target, Map params)
Performs the extraction.

Parameters:
  `source` - The model to extract.
  `target` - The target OutputStream. Note that other target kinds can be used using params.
  `params` - A Map of additional parameters. The key is the name of the parameter.

### getPrefix

String getPrefix()
Deprecated.
This information should be in a megamodel.

### extract

void extract(ASMModel format, ASMModel extent, OutputStream out)
Deprecated.
The other extract method should be used instead.

Parameters:
  `format` -
  `extent` -
  `out` -